SuperPaintParserInternal::State Struct Reference

Internal: the state of a SuperPaintParser. More...

## Public Member Functions
| State ()
| constructor

## Static Public Member Functions
static bool | getColor (int id, MWAWColor &color)
| try to return the color corresponding to an id

## Public Attributes
MWAWDocument::Kind | m_kind
| the file type
std::shared_ptr< MWAWPict > | m_bitmap
| the bitmap (v1)
std::vector< Shape > | m_shapeList
| the list of shapes

## Detailed Description

Internal: the state of a SuperPaintParser.

## Constructor & Destructor Documentation

## ◆ State()

SuperPaintParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getColor()

bool SuperPaintParserInternal::State::getColor | ( | int | id,
|  | MWAWColor & | color )
| static

try to return the color corresponding to an id

## Member Data Documentation

## ◆ m_bitmap

std::shared_ptr<MWAWPict> SuperPaintParserInternal::State::m_bitmap

the bitmap (v1)

Referenced by State().

## ◆ m_kind

MWAWDocument::Kind SuperPaintParserInternal::State::m_kind

the file type

Referenced by State().

## ◆ m_shapeList

std::vector<Shape> SuperPaintParserInternal::State::m_shapeList

the list of shapes

Referenced by State().

The documentation for this struct was generated from the following file:

- SuperPaintParser.cxx